<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myUnitDeliverableLabel" jhiTranslate="mpmApp.unitDeliverable.home.createOrEditLabel">Create or edit a Unit Deliverable</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!unitDeliverable.idDeliverable">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="unitDeliverable.idDeliverable" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitDeliverable.idDeliverableType" for="field_idDeliverableType">Id Deliverable Type</label>
            <input currencyMask class="form-control" name="idDeliverableType" id="field_idDeliverableType"
                [(ngModel)]="unitDeliverable.idDeliverableType"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitDeliverable.description" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description"
                [(ngModel)]="unitDeliverable.description"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitDeliverable.dateReceipt" for="field_dateReceipt">Date Receipt</label>
            <div class="input-group">
                <p-calendar inputId="field_dateReceipt" name="input_dateReceipt" [(ngModel)]="unitDeliverable.dateReceipt"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitDeliverable.dateDelivery" for="field_dateDelivery">Date Delivery</label>
            <div class="input-group">
                <p-calendar inputId="field_dateDelivery" name="input_dateDelivery" [(ngModel)]="unitDeliverable.dateDelivery"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitDeliverable.bastNumber" for="field_bastNumber">Bast Number</label>
            <input type="text" class="form-control" name="bastNumber" id="field_bastNumber"
                [(ngModel)]="unitDeliverable.bastNumber"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitDeliverable.name" for="field_name">Name</label>
            <input type="text" class="form-control" name="name" id="field_name"
                [(ngModel)]="unitDeliverable.name"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitDeliverable.identityNumber" for="field_identityNumber">Identity Number</label>
            <input type="text" class="form-control" name="identityNumber" id="field_identityNumber"
                [(ngModel)]="unitDeliverable.identityNumber"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitDeliverable.cellPhone" for="field_cellPhone">Cell Phone</label>
            <input type="text" class="form-control" name="cellPhone" id="field_cellPhone"
                [(ngModel)]="unitDeliverable.cellPhone"  />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitDeliverable.vehicleDocumentRequirement" for="field_vehicleDocumentRequirement">Vehicle Document Requirement</label>
            <select class="form-control" id="field_vehicleDocumentRequirement" name="vehicleDocumentRequirement" [(ngModel)]="unitDeliverable.vehicleDocumentRequirementId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="vehicleDocumentRequirementOption.idRequirement" *ngFor="let vehicleDocumentRequirementOption of vehicledocumentrequirements; trackBy: trackVehicleDocumentRequirementById">{{vehicleDocumentRequirementOption.idreq}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitDeliverable.vndStatusType" for="field_vndStatusType">Vnd Status Type</label>
            <select class="form-control" id="field_vndStatusType" name="vndStatusType" [(ngModel)]="unitDeliverable.vndStatusTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statustypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.unitDeliverable.conStatusType" for="field_conStatusType">Con Status Type</label>
            <select class="form-control" id="field_conStatusType" name="conStatusType" [(ngModel)]="unitDeliverable.conStatusTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statustypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
